package com.example.stimulus;

import android.content.BroadcastReceiver;

import com.example.notification.Notification;
import com.example.stimulusStrategy.Accelerometer;
import com.example.stimulusStrategy.Clock;
import com.example.stimulusStrategy.StimulusStrategy;

import java.util.Observer;

/**
 * Created by pharmacy on 09/01/2018.
 */

public interface Stimulus {

    //StimulusStrategy defaultStrategy = new Clock(context);

    //Creates an instance of the desired notifcation type (Factory Method)
    //TBD if this is to be public
    Notification createNotification();


    //Allows the Stimulus Strategy to be used with this stimlus to be chosen
    void chooseStrategy(StimulusStrategy s);
}
