package com.example.stimulusStrategy;

import android.app.Activity;

import com.example.stimulus.Stimulus;

import java.util.Observable;
import java.util.Observer;

/**
 * Created by pharmacy on 09/01/2018.
 */

public interface StimulusStrategy {

    //Begins the monitoring process of the strategy in Android OS e.g. monitoring of the clock for five minute intervals
    void monitor();

   /*
   TBD whether required, observable cannot be extended by an interface so either concrete classes extend this (preferred i think)
   or this becomes an abstract class

   @Override
    //Will notify the Stimulus when monitoring is true. Monitoring only started by method monitor() then carried out internally
    public void notify();
*/

}
